#!/usr/bin/env node
import m from "yargs";
import { hideBin as l } from "yargs/helpers";
import { PublishModeEnum as s } from "./utils/types.mjs";
import { handler as n } from "./handler.mjs";
import i from "chalk";
import t from "./injectInfo.json.mjs";
const p = () => ({
  mode: {
    alias: "m",
    describe: "发布模式",
    choices: [s.NPM, s.WEB],
    default: s.NPM
  },
  type: {
    alias: "t",
    describe: "发布类型",
    choices: ["major", "minor", "patch"],
    default: "patch"
  },
  push: {
    alias: "p",
    describe: "是否推送至远程仓库",
    type: "boolean",
    default: !0
  }
}), r = "publish", d = (o, e) => {
  console.log(o ? i.red(o) : i.red(e.message)), process.exit(1);
}, h = t.description, u = `Usage: $0 ${r} [options]`, f = "Usage: $0 [options]", a = (o, e) => {
  const c = p();
  return o.strict().usage(e).help("help").version(t.version).alias("v", "version").alias("h", "help").options(c).fail(d).argv;
}, g = (o) => a(o, u), N = {
  command: r,
  describe: h,
  builder: g,
  handler: n
}, P = async () => {
  const o = m(l(process.argv)), e = await a(o, f);
  return n(e);
};
export {
  N as command,
  P as createCli
};
